.ig
state-restore.man

Last update: 03 July 2005

Copyright (C) 2005-2009 Avuton Olrich <avuton@gmail.com>

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.1 or
any later version published by the Free Software Foundation; with the
Invariant Sections being this .ig-section and AUTHOR, with no
Front-Cover Texts, and with no Back-Cover Texts.

A copy of the Free Documentation License is included as a file called
FDL in the main directory of the state-utils source package.
..
.
.\" --------------------------------------------------------------------
.\" Setup
.\" --------------------------------------------------------------------
.
.do 
.TH "state-restore" 1
.SH "NAME"
state\-restore \- Program for restoring the state of the Music Player Daemon (MPD)
.SH "SYNOPSIS"
state\-restore
.RI [ options ]
.RI [ <statename> ]
.SH "DESCRIPTION"
state\-restore is a client for MPD which saves all available information to
.RI [ <statename> ]
for later restoration.

.SH "ARGUMENTS"
.TP
.BR \-a ", " \-\^\-amend
Amend the playlist to the current MPD playlist, ignoring the actual state.

.TP
.BR \-o ", " \-\^\-no-outputs
Omit the outputs during when restoring.

.TP
.BR \-p ", " \-\^\-no-playlist
Only restore the playing song.

.TP
.BR \-w ", " \-\^\-wait
Wait until the music player has stopped to restore the playlist.

.TP
This section describes the argument.
.br
.RI [ <statename> ]
is not required, but if not given state will be saved to 'default'.

.SH "ENVIRONMENT"
.TP
This section describes some environment variables that affect how state-restore operates.

.br
.B MPD_HOST
.br
.B MPD_PORT
.br
		By default, state-restore connects to localhost:6600. This can be changed either at compile-time,
.br
		or by exporting the MPD_HOST and MPD_PORT environment variables. To use a password with mpd, set
.br
		MPD_HOST to password@host.
.SH "EXAMPLES"
.TP
A quick example.
.br
MPD_HOST='password@host' MPD_PORT='6600' state-restore my_state_name

This will restore a state called 'my_state_name'.

.SH "BUGS"
This doesn't restore a few different things which aren't available via the MPD protocol.
.br
        * Any ids such as playlistid
.br
	* Random, if a playlist was ordered and any part of the playlist has been previously
.br
.br
	been played through the songs that have played in the previous state will be replayed.
.br
.br
	* Bash completion script doesn't yet work with spaces.
.br
.br
	* May not deal well with errors. This may change in the future.
.SH "SEE ALSO"
state-save(1)
.SH "AUTHOR"
Avuton Olrich <avuton@gmail.com>
